# eric4.MultiProject.MultiProjectBrowser

Module implementing the multi project browser.

### Global Attributes

None

### Classes

MultiProjectBrowser | Class implementing the multi project browser.

### Functions

None

## MultiProjectBrowser

Class implementing the multi project browser.

### Derived from

QListWidget

### Class Attributes

None

### Class Methods

None

### Methods

MultiProjectBrowser | Constructor
__addProject | Private method to add a project to the list.
__configure | Private method to open the configuration dialog.
__contextMenuRequested | Private slot to show the context menu.
__createPopupMenu | Private method to create the popup menu.
__findProjectItem | Private method to search a specific project item.
__multiProjectClosed | Private slot to handle the closing of a multi project.
__multiProjectOpened | Private slot to handle the opening of a multi project.
__newMultiProject | Private slot to handle the creation of a new multi project.
__openItem | Private slot to open a project.
__projectAdded | Private slot to handle the addition of a project to the multi project.
__projectDataChanged | Private slot to handle the change of a project of the multi project.
__projectOpened | Private slot to handle the opening of a project.
__projectRemoved | Private slot to handle the removal of a project from the multi project.
__removeProject | Private method to handle the Remove context menu entry.
__setItemData | Private method to set the data of a project item.
__showProjectProperties | Private method to show the data of a project entry.

### Static Methods

None

#### MultiProjectBrowser (Constructor)

MultiProjectBrowser(multiProject, parent = None)

Constructor

project
  reference to the multi project object
parent
  parent widget (QWidget)

#### MultiProjectBrowser.__addProject

__addProject(project)

Private method to add a project to the list.

project
  reference to the project data dictionary

#### MultiProjectBrowser.__configure

__configure()

Private method to open the configuration dialog.

#### MultiProjectBrowser.__contextMenuRequested

__contextMenuRequested(coord)

Private slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

#### MultiProjectBrowser.__createPopupMenu

__createPopupMenu()

Private method to create the popup menu.

#### MultiProjectBrowser.__findProjectItem

__findProjectItem(project)

Private method to search a specific project item.

project
  reference to the project data dictionary

#### MultiProjectBrowser.__multiProjectClosed

__multiProjectClosed()

Private slot to handle the closing of a multi project.

#### MultiProjectBrowser.__multiProjectOpened

__multiProjectOpened()

Private slot to handle the opening of a multi project.

#### MultiProjectBrowser.__newMultiProject

__newMultiProject()

Private slot to handle the creation of a new multi project.

#### MultiProjectBrowser.__openItem

__openItem(itm = None)

Private slot to open a project.

itm
  reference to the project item to be opened (QListWidgetItem)

#### MultiProjectBrowser.__projectAdded

__projectAdded(project)

Private slot to handle the addition of a project to the multi project.

project
  reference to the project data dictionary

#### MultiProjectBrowser.__projectDataChanged

__projectDataChanged(project)

Private slot to handle the change of a project of the multi project.

project
  reference to the project data dictionary

#### MultiProjectBrowser.__projectOpened

__projectOpened(projectfile)

Private slot to handle the opening of a project.

#### MultiProjectBrowser.__projectRemoved

__projectRemoved(project)

Private slot to handle the removal of a project from the multi project.

project
  reference to the project data dictionary

#### MultiProjectBrowser.__removeProject

__removeProject()

Private method to handle the Remove context menu entry.

#### MultiProjectBrowser.__setItemData

__setItemData(itm, project)

Private method to set the data of a project item.

itm
  reference to the item to be set (QListWidgetItem)
project
  reference to the project data dictionary

#### MultiProjectBrowser.__showProjectProperties

__showProjectProperties()

Private method to show the data of a project entry.

Up